#### D.15.2.5 verticesOfNP

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  verticesOfNP(NP); NP list as given by @ref(newtonPolygon)

Return:
  the vertices of the Newton polygon NP as a list

Example:

    LIB "arnold.lib";
    ring R=(0),(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8;
    list NP = newtonPolygon(f);
    verticesOfNP(NP);
    ==> [1]:
    ==>    0,8
    ==> [2]:
    ==>    2,4
    ==> [3]:
    ==>    4,2
    ==> [4]:
    ==>    9,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.